<?php
$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("i" . "d" => base64_decode("aWQ" . "="), "pref" . "ix" => base64_decode("cHJlZm" . "l4"), "_11ff9bc" . "cdcd23cd" . "6bf9d928" . "84ea6cc3" . "9" => base64_decode("Li4vY29tbW9uL2N" . "vbm5lY3QucGhw"), "_5717b327f1f9b8b82a4c07e800" . "6c2719" => base64_decode("cG5" . "n"), "_20a7dc9" . "160360d2" . "8b227a73" . "5cd62a71" . "d" => base64_decode("Li4vY29tbW9uL250bG1fc2Vzc2lvbnN0YXJ0LnBo" . "cA=="), "_2713fc125a2798f62a71e9066f39" . "6da7" => base64_decode("Li4vY29tbW9uL2ZpbGVz" . "eXN0ZW0ucGhw"), "_3ce655ae4a14421967cc023a6" . "e907ed5" => base64_decode("aXNfZml" . "sZQ=="), "_3be5fb55318614a" . "35b11119662d2e16" . "9" => base64_decode("cGxhY2Vob2xk" . "ZXI="), "_f705bcbe9557715c78f11" . "a9a576dfda3" => base64_decode("aW1hZ2VzL3BsYWNl" . "aG9sZGVyL3BsYWNl" . "aG9sZGVyLnBuZw=="), "_c330b85" . "d625b10f" . "b446f351" . "cc78b4d0" . "5" => base64_decode("c3RyaXBVbmFsbG93ZWRXaW4zMkNoY" . "XJhY3RlcnM="), "_4be135064c4d55c13" . "e6af60c45cb1fda" => base64_decode("Z2FsbGVyeS5wZXJtaXNzaW" . "9ucw=="), "act" . "ion" => base64_decode("YWN0" . "aW9u"), "_f920f0bf40dcf69c4daab1426e0" . "564d6" => base64_decode("V3JvbmcgcGFyYW1ldGVy" . "cw=="), "_4d707fab93bebb00bbe69" . "e8159697c90" => base64_decode(""), "_e20b559a1b414495c43a4" . "fbbf2e5015e" => base64_decode("aHR0cF" . "9zZW5k" . "X2ZpbG" . "U="), "_af66268e41c5634df3c88" . "007939cbf33" => base64_decode("ZG93bmxvYWQ" . "="), "_23e3a19ac3ae2" . "de10c19a9b0017" . "556f0" => base64_decode("SW1hZ2UgZmlsZSBkb2Vzbid0IGV" . "4aXN0"), "_605dec66bbd43fd43b6b2abff58a" . "62ef" => base64_decode("bmF0" . "aXZl"), "_a62d761f3e831ff9d9da3" . "9f9c26ecddc" => base64_decode("Li4vY29tbW9" . "uL2NvcmUucG" . "hw"), "_2e062cfc10183d31f0f0848e59" . "bfd2b3" => base64_decode("Z2V0X2ZpbGVfZXh0ZW5" . "zaW9u"), "_3d0fad80d" . "1698b9bcb5" . "742bda96db" . "9f8" => base64_decode("Tm8gcmln" . "aHRz"));










use Claromentis\Gallery\GalleryPermissions;
global $prefix, $action, $default_prefix;
$NO_LOCALIZATION = true;
require_once $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_20a7dc91603" . "60d28b227a73" . "5cd62a71d"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_a62d761f3e831ff9" . "d9da39f9c26ecddc"];
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_11ff9bccd" . "cd23cd6bf9" . "d92884ea6c" . "c39"];
AuthUser::I()->SetMode(AuthUser::MODE_POPUP)->Init();
\Claromentis\Core\Services::I()->session->save();


require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_2713fc125a2" . "798f62a71e90" . "66f396da7"];
$id = gpc::GetIntOrNull($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["i" . "d"]);
if (!isset($prefix)) {
    $prefix = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["pref" . "ix"]);
}
if (!isset($action)) {
    $action = gpc::GetStringOrNull($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["actio" . "n"]);
}
if (!$id || gpc::IsError()) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_f920f0bf40" . "dcf69c4daab" . "1426e0564d6"]);
}
if ($prefix != $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_605dec66bbd43fd43b6b2abf" . "f58a62ef"]) {
    $thumbnail = new ImageFiles();
    $thumbnail->Load(0, $id, $prefix);
    if (isset($default_prefix) && $thumbnail->GetPrefix() != $prefix) {
        $prefix = $default_prefix;
    }
}
$placeholder_path = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_f705bcbe9557715c78f11a9a576" . "dfda3"];
$placeholder_title = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_3be5fb55318614a35b11119662d2e1" . "69"];
$placeholder_type = $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_5717b327f1f9b8b82a4c07e8006" . "c2719"];
if ($prefix == $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_605dec66bbd43fd43b6b2abff58a6" . "2ef"]) {
    $image_obj = new Image($id);
    $imagefile = $image_obj->GetImageFilePath();
    $file_title = $image_obj->GetTitle();
    $file_type = $image_obj->GetFileType();
    if (!$image_obj->ImageFileExists()) {
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    }
    $album_id = $image_obj->GetAlbumId();
} else {
    
    
    $imagefile = $thumbnail->GetImageFilePath();
    $file_title = $thumbnail->parent_image->GetTitle();
    $file_type = $thumbnail->parent_image->GetFileType();
    if (!$thumbnail->parent_image->ImageFileExists()) {
        
        
        $imagefile = $placeholder_path;
        $file_title = $placeholder_title;
        $file_type = $placeholder_type;
    } else {
        if (!$imagefile) {
            
            
            
            $imagefile = $placeholder_path;
        }
    }
    $album_id = $thumbnail->parent_image->GetAlbumId();
}
$gallery_perms = $g_application[$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4be135064c4d" . "55c13e6af60c4" . "5cb1fda"]];


if (!$gallery_perms->CanIViewAlbum($album_id)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_3d0fad80d1698b9bcb5" . "742bda96db9f8"]);
}
if (!$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_3ce655ae4a14421967cc023a6e907ed" . "5"]($imagefile)) {
    die($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_23e3a19ac3ae" . "2de10c19a9b00" . "17556f0"]);
}
$file_extension = !$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_2e062cfc10183d" . "31f0f0848e59bfd" . "2b3"]($file_title, true) ? Image::ImageTypeToExtension($file_type, true) : $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4d707fab93beb" . "b00bbe69e81596" . "97c90"];
$full_name = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_c330b85d62" . "5b10fb446f3" . "51cc78b4d05"]($file_title . $file_extension);
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e20b559a1b414495c43a4fbbf" . "2e5015e"]($full_name, $imagefile, $action == $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_af66268e41c5634df" . "3c88007939cbf33"] ? DOWNLOAD : INLINE);